libwps_tools_win::Language Namespace Reference documentation

Functions
libwps_tools_win::Language Namespace Reference

an enum used to define the language in Windows© for spell check More...

## Functions
std::string | name (long id)
| returns the name given Windows© id More...
std::string | localeName (long id)
| returns the simplified locale name More...
void | addLocaleName (long id, librevenge::RVNGPropertyList &propList)
| add locale name (ie. fo:language,fo:country ) to propList More...
long | getDefault ()
| returns the default language: 0x409 : english(US) More...

## Detailed Description

an enum used to define the language in Windows© for spell check

## Function Documentation

## ◆ addLocaleName()

void libwps_tools_win::Language::addLocaleName | ( | long | id,
|  | librevenge::RVNGPropertyList & | propList
| ) |  |

add locale name (ie. fo:language,fo:country ) to propList

Referenced by WPSFont::addTo().

## ◆ getDefault()

long libwps_tools_win::Language::getDefault | ( |  | ) |

returns the default language: 0x409 : english(US)

## ◆ localeName()

std::string libwps_tools_win::Language::localeName | ( | long | id | ) |

returns the simplified locale name

Referenced by addLocaleName(), WPS8Parser::readDocProperties(), WPSContentListener::setDocumentLanguage(), and WKSContentListener::setDocumentLanguage().

## ◆ name()

std::string libwps_tools_win::Language::name | ( | long | id | ) |

returns the name given Windows© id

Referenced by QuattroFormulaManager::addDLLIdName(), QuattroSpreadsheet::addDLLIdName(), Quattro9Spreadsheet::addDLLIdName(), libwps_OLE::OStorage::addStream(), QuattroSpreadsheet::addUserFormat(), Quattro9Spreadsheet::addUserFormat(), WPSOLE1Parser::checkIfParsed(), libwps_OLE::OStorage::createEntry(), libwps_OLE::IStream::createOleFromDirectory(), WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), WPSOLE1Parser::createZones(), libwps_OLE::DirTree::entry(), libwps_OLE::IStorage::entry(), libwps_OLE::WPSOLEStream::existsSubStream(), libwps_OLE::DirTree::find_child(), libwps::Debug::flattenFileName(), WPS8PLCInternal::KnownPLC::get(), WPS4PLCInternal::KnownPLC::get(), libwps_tools_win::Font::getFontType(), WKS4SpreadsheetInternal::State::getSheetName(), QuattroSpreadsheetInternal::State::getSheetName(), QuattroDosSpreadsheetInternal::State::getSheetName(), LotusSpreadsheetInternal::State::getSheetName(), Quattro9SpreadsheetInternal::State::getSheetName(), WPSOLE1Parser::getStreamForName(), libwps_OLE::WPSOLEStream::getSubStreamByName(), libwps_OLE::DirTree::getSubStreamList(), libwps_OLE::DirTree::index(), libwps_OLE::IStorage::index(), libwps_OLE::IStorage::isSubStream(), libwps_OLE::IStream::IStream(), WKSContentListener::openSheet(), WKSContentListener::openSheetCell(), WPSOLEParser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndexEntry(), QuattroParser::parseOLEStream(), Quattro9Parser::parseOLEStream(), XYWriteParser::parseTextZone(), Quattro9Spreadsheet::readBeginSheet(), QuattroSpreadsheet::readCell(), Quattro9Spreadsheet::readCell(), LotusSpreadsheet::readCellName(), QuattroDosChart::readChart(), WKS4Chart::readChart(), LotusChart::readChart(), WKS4Chart::readChart2Font(), WKS4Chart::readChartAxis(), WKS4Chart::readChartFont(), QuattroDosChart::readChartName(), LotusChart::readChartName(), WKS4Chart::readChartName(), LotusParser::readChartZone(), LotusParser::readDataZone(), WPS8Parser::readDocProperties(), WPS4Text::readDosLink(), WPSOLEObject::readEmbeddedOLE(), WPS4Text::readEntries(), QuattroParser::readExternalData(), QuattroDosParser::readFieldName(), WKS4Parser::readFieldName(), QuattroParser::readFieldName(), QuattroDosParser::readFileName(), QuattroGraph::readFillData(), LotusStyleManager::readFMTFontName(), LotusGraph::readFMTPictName(), LotusParser::readFMTStyleName(), WKS4Parser::readFont(), QuattroParser::readFontDef(), WKS4Format::readFontName(), LotusStyleManager::readFontStyleF0(), LotusStyleManager::readFormatStyle(), libwps::MultiplanParser::readFunctionNamesList(), LotusGraph::readGraphZone(), WPS8Graph::readIBGF(), LotusParser::readMacFontName(), LotusStyleManager::readMenuStyleE7(), libwps::MultiplanParser::readName(), Quattro9Parser::readOleLinkInfo(), Quattro9Graph::readOLEName(), WPS8Graph::readPICT(), LotusParser::readRefZone(), WKS4Spreadsheet::readReportOpen(), LotusChart::readSerieName(), libwps::MultiplanParser::readSharedData(), LotusSpreadsheet::readSheetName(), QuattroSpreadsheet::readSheetName(), LotusSpreadsheet::readSheetName1B(), QuattroDosSpreadsheet::readSpreadsheetName(), WPSOLEObject::readStaticOLE(), WPSOLEObject::readString(), QuattroParser::readStyleName(), QuattroGraph::readTextBox(), Quattro9Graph::readTextboxStyle(), Quattro9Parser::readTextFontStyles(), QuattroDosSpreadsheet::readUserStyle(), WKS4Parser::readZone(), LotusParser::readZone(), LotusParser::readZone4(), libwps::MultiplanParser::sendCell(), libwps_OLE::OStorage::setInformation(), LotusChart::updateChart(), and WPSOLE1Parser::updateMetaData().